import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const StageHead = /*@__PURE__*/ proxyCustomElement(class StageHead extends HTMLElement {
    constructor() {
        super();
        this.__registerHost();
    }
    render() {
        return (h(Host, { key: '77f405fb5a84be341f5709ea9451fd5b01eae1a5', class: "hero-head" }, h("slot", { key: '7b93751fe0fd796422cdf0d669404bf22f1312c8' })));
    }
    get el() { return this; }
}, [4, "bal-stage-head"]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-stage-head"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-stage-head":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, StageHead);
            }
            break;
    } });
}

const BalStageHead = StageHead;
const defineCustomElement = defineCustomElement$1;

export { BalStageHead, defineCustomElement };
